Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | PROPERTY | METHOD | DETAIL: ENUM CONSTANTS | FIELD | PROPERTY | METHOD

## groovy.inspect.swingui
Enum CompilePhaseAdapter

    java.lang.Object
      java.lang.Enum
          groovy.inspect.swingui.CompilePhaseAdapter

    enum CompilePhaseAdapter
    extends Enum

An adapter for the CompilePhase enum that can be entered into a Swing combobox.

author:
  Hamlet D'Arcy

Enum Constant Summary
`CANONICALIZATION`
`CLASS_GENERATION`
`CONVERSION`
`FINALIZATION`
`INITIALIZATION` An adapter for the CompilePhase enum that can be entered into a Swing combobox.
`INSTRUCTION_SELECTION`
`OUTPUT`
`PARSING`
`SEMANTIC_ANALYSIS`

Property Summary
`int` | `phaseId`
`String` | `string`

Constructor Summary
`CompilePhaseAdapter(def phaseId, def string)`

Method Summary
`String` | `toString()`
`CompilePhaseAdapter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`CompilePhaseAdapter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
name, hashCode, compareTo, compareTo, equals, toString, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Enum Constant Detail

### CANONICALIZATION

    CompilePhaseAdapter CANONICALIZATION

### CLASS_GENERATION

    CompilePhaseAdapter CLASS_GENERATION

### CONVERSION

    CompilePhaseAdapter CONVERSION

### FINALIZATION

    CompilePhaseAdapter FINALIZATION

### INITIALIZATION

    CompilePhaseAdapter INITIALIZATION

  An adapter for the CompilePhase enum that can be entered into a Swing combobox.
  author:
    Hamlet D'Arcy

### INSTRUCTION_SELECTION

    CompilePhaseAdapter INSTRUCTION_SELECTION

### OUTPUT

    CompilePhaseAdapter OUTPUT

### PARSING

    CompilePhaseAdapter PARSING

### SEMANTIC_ANALYSIS

    CompilePhaseAdapter SEMANTIC_ANALYSIS

Property Detail

### phaseId

    final int phaseId

### string

    final String string

Constructor Detail

### CompilePhaseAdapter

    public CompilePhaseAdapter(def phaseId, def string)

Method Detail

### toString

    public String toString()

### valueOf

    CompilePhaseAdapter valueOf(String name)

  Returns the enum constant of this type with the specified name.

### values

    CompilePhaseAdapter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Copyright © 2003-2009 The Codehaus. All rights reserved.